.\"	$NetBSD: j720tp.4,v 1.1 2006/10/07 14:12:47 peter Exp $
.\"
.\" Copyright (c) 2003 Valeriy E. Ushakov
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote products
.\"    derived from this software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
.\" BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
.\" LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
.\" AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
.\" OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.Dd March 29, 2006
.Dt J720TP 4 hpcarm
.Os
.Sh NAME
.Nm j720tp
.Nd driver for Jornada 710/720/728 touch-screen
.Sh SYNOPSIS
.Cd "j720tp* at j720ssp?"
.Cd "wsmouse* at j720tp? mux 0"
.Cd "wskbd* at j720tp? mux 1"
.Sh DESCRIPTION
The
.Nm
driver provides support for the touch-screen in the
Jornada 720 series machines.
.Pp
Pen movements are passed to
.Xr wsmouse 4
as mouse clicks and drags.
.Pp
When
.Cd "wskbd* at j720tp?"
is enabled, taps on the on-screen
.Dq HP hard icons
are passed to
.Xr wskbd 4
as key presses.
.Pp
The default icon to key mapping is:
.Bl -tag -width XxXxXxXxXxXxXxXxXx -offset indent -compact
.It Settings icon
KS_Home
.It Backup icon
KS_Prior
.It Dialup icon
KS_Next
.It Media Player icon
KS_End
.El
.Sh SEE ALSO
.Xr wskbd 4 ,
.Xr wsmouse 4 ,
.Xr tpctl 8 ,
.Xr wsconsctl 8
